Bug 648175 - Review Request: flterm - Firmware download program
Summary: Review Request: flterm - Firmware download program
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-31 10:32 UTC by Shakthi Kannan
Modified: 2010-11-17 23:28 UTC (History)
3 users (show)

Fixed In Version: flterm-0.9-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:17:18 UTC
Type: ---
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Shakthi Kannan 2010-10-31 10:32:33 UTC
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/flterm.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/flterm-0.9-1.fc15.src.rpm
Description: flterm is a serial terminal and firmware download program.

Comment 1 Shakthi Kannan 2010-10-31 10:39:07 UTC
$ rpmlint flterm.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint flterm-0.9-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint flterm-0.9-1.fc15.i686.rpm 
flterm.i686: W: no-documentation
flterm.i686: W: no-manual-page-for-binary flterm
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F-13, F-14, and F-15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2566771
http://koji.fedoraproject.org/koji/taskinfo?taskID=2566757
http://koji.fedoraproject.org/koji/taskinfo?taskID=2566760

It fails on EL-6 due to non-availability of clang.

Comment 2 Chitlesh GOORAH 2010-11-06 10:46:35 UTC
Can you request the clang maintainer to rebuild it for EL-6 ?

Comment 3 Chitlesh GOORAH 2010-11-06 10:47:16 UTC
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED

Comment 4 Shakthi Kannan 2010-11-06 12:26:43 UTC
New Package SCM Request
=======================
Package Name: flterm
Short Description: A serial terminal, and firmware download program.
Owners: shakthimaan chitlesh
Branches: F-13 F-14 F-15
InitialCC: shakthimaan

Comment 5 Jason Tibbitts 2010-11-07 15:45:44 UTC
We are not yet accepting f15 branches.  That won't happen until f15 branches
from rawhide.

Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-11-09 01:49:31 UTC
flterm-0.9-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/flterm-0.9-2.fc14

Comment 7 Fedora Update System 2010-11-09 01:49:37 UTC
flterm-0.9-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/flterm-0.9-2.fc13

Comment 8 Fedora Update System 2010-11-10 01:07:07 UTC
flterm-0.9-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flterm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/flterm-0.9-2.fc14

Comment 9 Fedora Update System 2010-11-17 23:17:14 UTC
flterm-0.9-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-17 23:27:55 UTC
flterm-0.9-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.